<?php
/**************************
*  Mantra extra social icons child theme example
*  version 0.2 / 20130521 / for Mantra v2.0.3
*  (c) Cryout Creations
* ***********************/

// EXTRA SOCIAL ICONS CODE
// overload the social icons array
function child_override(){
global $socialNetworks;
if (is_array($socialNetworks)) {
      // add extra social icons to the array, eg:
      // one extra social icon       - array_merge( $socialNetworks, array('NewSocial') );
      // multiple extra social icons - array_merge( $socialNetworks, array('FirstSocial','SecondSocial','ThirdSocial') );
      // empty array in case you only want to replace the social icons images - array_merge( $socialNetworks, array() );
      $socialNetworks = array_merge( $socialNetworks, array('NewSocial') );
      // the new social icons image files need to be placed in the mantra-extrasocials/images/socials folder,
      // with the exact same name(s) used in the array definition above; capitalization DOES matter!
      };
};

// add hoock for overload function
add_action( 'after_setup_theme', 'child_override' );

// custom child theme socials display function - it check if the image file is located in the parent theme or the child theme
function mantra_set_social_icons($id) {
     global $mantra_options;
     $cryout_special_keys = array('Mail', 'Skype');
     foreach ($mantra_options as $key => $value) { ${"$key"} = $value ; }
     echo '<div class="socials" id="'.$id.'">';
     for ($i=1; $i<=9; $i+=2) {
     	$j=$i+1;
     	if ( ${"mantra_social$j"} ) {
			if (in_array(${"mantra_social$i"},$cryout_special_keys)) :
				$cryout_current_social = esc_html( ${"mantra_social$j"} );
			else :
				$cryout_current_social = esc_url( ${"mantra_social$j"} );
			endif;
               $icon = get_stylesheet_directory_uri().'/images/socials/'.${"mantra_social$i"}.'.png';
               $localicon = get_stylesheet_directory().'/images/socials/'.${"mantra_social$i"}.'.png';
               if (!file_exists($localicon)) { $icon = get_template_directory_uri().'/images/socials/'.${"mantra_social$i"}.'.png'; }; ?>
     			<a target="_blank" rel="nofollow" href="<?php echo $cryout_current_social; ?>" class="socialicons social-<?php echo esc_attr(${"mantra_social$i"}); ?>" title="<?php echo esc_attr(${"mantra_social$i"}); ?>">
     				<img alt="<?php echo esc_attr(${"mantra_social$i"}); ?>" src="<?php echo $icon ?>" />
     			</a>
     		<?php
     		}
     	}
     echo '</div>';
}
// END EXTRA SOCIAL ICONS CODE


?>